# Start the Stripe subscription (Deprecated) (Deprecated - use /zephr/subscribe) Uses the payment method info captured by the Stripe Elements UI to create a Stripe customer with a recurring payment. When Stripe responds successfully, the logged-in user will be temporarily granted all entitlements in the product's associated bundle. Endpoint: POST /blaize/payment/stripe/subscribe Version: 2025-07-30 Security: CookieBlaizeSession, JwtQuery, JwtHeaderXBlaizeJwt, JwtHeaderXZephrJwt, JwtBearer, JwtCookie ## Request fields (application/json): - `product_id` (string, required) Product Id/slug Example: "premium-access-monthly-recurring" - `payment_method` (string, required) Payment method from Stripe Elements UI. Example: "pm_123456789" - `plan_id` (string) - `discount_code` (string) ## Response 200 fields (application/json): - `grant_id` (string) New grant of product bundle to user - `clientSecret` (string) reference to Stripe payment required to process payment in front end - `paymentIntentStatus` (string) status of the payment which may require further action